---
- name: "{{ ftp_enabled | bool | ternary('Add', 'Remove') }} vsftpd package"
  yum: name=vsftpd state="{{ ftp_enabled | bool | ternary('present', 'absent') }}"
- name: Configure vsftpd
  include_tasks: configure-vsftpd.yml
  when: ftp_enabled | bool
- name: Set vsftpd settings in config.ini
  include_role: name=apnscp/bootstrap tasks_from=set-config.yml
  vars:
    section: ftp
    option: "{{ item.key }}"
    value: "{{ item.value }}"
  with_dict:
    enabled: "{{ ftp_enabled | bool | ternary('1', '0') }}"
    ssl_only: "{{ vsftpd_ssl_only | bool }}"
